tigase.jaxmpp.core.client.eventbus

## Interface EventListener

- All Superinterfaces:
    EventHandler

      public interface EventListener
      extends EventHandler

  Interface for listeners.
  Listener is special viariant of handler. Instead of invoking method dispatch(), onEvent() will be invoked.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onEvent(Event<? extends EventHandler> event)` Method called when event is fired.

- - ### Method Detail

    - #### onEvent

          void onEvent(Event<? extends EventHandler> event)

      Method called when event is fired.
      Parameters:
        `event` - fired event.

Copyright © 2006–2020 Tigase. All rights reserved.